#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:users, :array_matching => :all) do
  include EasyType
  include EasyType::ArrayProperty

  desc <<-EOD
    The users of the group

  EOD

  data_type("Optional[Variant[Enum['absent'],Array[String], String[1]]]")

  to_translate_to_resource do | raw_resource|
    unless raw_resource['users'].nil?
      raw_resource['users'].split(',')
    end
  end

end

def users
  self[:users] ? self[:users].join(',') : ''
end

child_of(:wls_user) { self[:users].nil? ? '' : self[:users].collect { |u| "#{domain}/#{u}" } }
